diff --git a/frontend/src/components/GddSend/TransactionResultLink.vue b/frontend/src/components/GddSend/TransactionResultLink.vue
index 04445acfe..2e1e68ac0 100644
--- a/frontend/src/components/GddSend/TransactionResultLink.vue
+++ b/frontend/src/components/GddSend/TransactionResultLink.vue
@@ -3,7 +3,13 @@
     <b-col>
       <b-card class="p-0 gradido-custom-background">
         <div class="h3 mb-4">{{ $t('gdd_per_link.created') }}</div>
-        <clipboard-copy :link="link" @show-qr-code-button="showQrCodeButton" />
+        <clipboard-copy
+          :link="link"
+          :amount="amount"
+          :memo="memo"
+          :validUntil="validUntil"
+          @show-qr-code-button="showQrCodeButton"
+        ></clipboard-copy>
 
         <div class="text-center">
           <figure-qr-code v-if="showQrcode" :link="link" />
@@ -27,10 +33,10 @@ export default {
     FigureQrCode,
   },
   props: {
-    link: {
-      type: String,
-      required: true,
-    },
+    link: { type: String, required: true },
+    amount: { type: String, required: true },
+    memo: { type: String, required: true },
+    validUntil: { type: String, required: true },
   },
   data() {
     return {
diff --git a/frontend/src/components/GddTransactionList.vue b/frontend/src/components/GddTransactionList.vue
index 5becfa39e..a74be5187 100644
--- a/frontend/src/components/GddTransactionList.vue
+++ b/frontend/src/components/GddTransactionList.vue
@@ -69,6 +69,7 @@
       :per-page="pageSize"
       :total-rows="transactionCount"
       align="center"
+      :hide-ellipsis="true"
     ></b-pagination>
 
     <div v-if="transactionCount <= 0" class="mt-4 text-center">
diff --git a/frontend/src/components/GdtTransactionList.vue b/frontend/src/components/GdtTransactionList.vue
index 4934f9fce..f915cd881 100644
--- a/frontend/src/components/GdtTransactionList.vue
+++ b/frontend/src/components/GdtTransactionList.vue
@@ -36,6 +36,7 @@
       :per-page="pageSize"
       :total-rows="transactionGdtCount"
       align="center"
+      :hide-ellipsis="true"
     ></b-pagination>
   </div>
 </template>
diff --git a/frontend/src/components/LanguageSwitch2.spec.js b/frontend/src/components/LanguageSwitch2.spec.js
new file mode 100644
index 000000000..600e2513e
--- /dev/null
+++ b/frontend/src/components/LanguageSwitch2.spec.js
@@ -0,0 +1,133 @@
+import { mount } from '@vue/test-utils'
+import LanguageSwitch from './LanguageSwitch2'
+
+const localVue = global.localVue
+
+const updateUserInfosMutationMock = jest.fn().mockResolvedValue({
+  data: {
+    updateUserInfos: {
+      validValues: 1,
+    },
+  },
+})
+
+describe('LanguageSwitch', () => {
+  let wrapper
+
+  const state = {
+    email: 'he@ho.he',
+    language: null,
+  }
+
+  const mocks = {
+    $store: {
+      state,
+      commit: jest.fn(),
+    },
+    $i18n: {
+      locale: 'en',
+    },
+    $t: jest.fn((t) => t),
+    $apollo: {
+      mutate: updateUserInfosMutationMock,
+    },
+  }
+
+  const Wrapper = () => {
+    return mount(LanguageSwitch, { localVue, mocks })
+  }
+
+  describe('mount', () => {
+    beforeEach(() => {
+      wrapper = Wrapper()
+    })
+
+    it('renders the component', () => {
+      expect(wrapper.find('div.language-switch').exists()).toBe(true)
+    })
+
+    describe('with locales en and de', () => {
+      describe('empty store', () => {
+        describe('navigator language is "en-US"', () => {
+          const languageGetter = jest.spyOn(navigator, 'language', 'get')
+          it('shows English as default navigator langauge', async () => {
+            languageGetter.mockReturnValue('en-US')
+            wrapper.vm.setCurrentLanguage()
+            await wrapper.vm.$nextTick()
+            expect(wrapper.findAll('span.locales').at(0).text()).toBe('English')
+          })
+        })
+        describe('navigator language is "de-DE"', () => {
+          const languageGetter = jest.spyOn(navigator, 'language', 'get')
+          it('shows Deutsch as language ', async () => {
+            languageGetter.mockReturnValue('de-DE')
+            wrapper.vm.setCurrentLanguage()
+            await wrapper.vm.$nextTick()
+            expect(wrapper.findAll('span.locales').at(1).text()).toBe('Deutsch')
+          })
+        })
+        describe('navigator language is "es-ES" (not supported)', () => {
+          const languageGetter = jest.spyOn(navigator, 'language', 'get')
+          it('shows English as language ', async () => {
+            languageGetter.mockReturnValue('es-ES')
+            wrapper.vm.setCurrentLanguage()
+            await wrapper.vm.$nextTick()
+            expect(wrapper.findAll('span.locales').at(0).text()).toBe('English')
+          })
+        })
+        describe('no navigator langauge', () => {
+          const languageGetter = jest.spyOn(navigator, 'language', 'get')
+          it('shows English as language ', async () => {
+            languageGetter.mockReturnValue(null)
+            wrapper.vm.setCurrentLanguage()
+            await wrapper.vm.$nextTick()
+            expect(wrapper.findAll('span.locales').at(0).text()).toBe('English')
+          })
+        })
+      })
+      describe('language "de" in store', () => {
+        it('shows Deutsch as language', async () => {
+          wrapper.vm.$store.state.language = 'de'
+          wrapper.vm.setCurrentLanguage()
+          await wrapper.vm.$nextTick()
+          expect(wrapper.findAll('span.locales').at(1).text()).toBe('Deutsch')
+        })
+      })
+      describe('language menu', () => {
+        it('has English and German as languages to choose', () => {
+          expect(wrapper.findAll('span.locales')).toHaveLength(2)
+        })
+        it('has English as first language to choose', () => {
+          expect(wrapper.findAll('span.locales').at(0).text()).toBe('English')
+        })
+        it('has German as second language to choose', () => {
+          expect(wrapper.findAll('span.locales').at(1).text()).toBe('Deutsch')
+        })
+      })
+    })
+
+    describe('calls the API', () => {
+      it("with locale 'de'", () => {
+        wrapper.findAll('span.locales').at(1).trigger('click')
+        expect(updateUserInfosMutationMock).toBeCalledWith(
+          expect.objectContaining({
+            variables: {
+              locale: 'de',
+            },
+          }),
+        )
+      })
+
+      // it("with locale 'en'", () => {
+      //   wrapper.findAll('span.locales').at(0).trigger('click')
+      //   expect(updateUserInfosMutationMock).toBeCalledWith(
+      //     expect.objectContaining({
+      //       variables: {
+      //         locale: 'en',
+      //       },
+      //     }),
+      //   )
+      // })
+    })
+  })
+})
diff --git a/frontend/src/components/LanguageSwitch2.vue b/frontend/src/components/LanguageSwitch2.vue
index 317935900..e88050047 100644
--- a/frontend/src/components/LanguageSwitch2.vue
+++ b/frontend/src/components/LanguageSwitch2.vue
@@ -4,10 +4,10 @@
       v-for="(lang, index) in locales"
       @click.prevent="saveLocale(lang.code)"
       :key="lang.code"
-      class="pointer pr-3"
-      :class="$store.state.language === lang.code ? 'c-blau' : 'c-grey'"
+      class="pointer pr-2"
+      :class="$store.state.language === lang.code ? 'c-grey' : 'c-blau'"
     >
-      {{ lang.name }}
+      <span class="locales">{{ lang.name }}</span>
       <span class="ml-3">{{ locales.length - 1 > index ? $t('math.pipe') : '' }}</span>
     </span>
   </div>
diff --git a/frontend/src/components/LinkInformations/RedeemInformation.vue b/frontend/src/components/LinkInformations/RedeemInformation.vue
index bdc17db9a..d287605a4 100644
--- a/frontend/src/components/LinkInformations/RedeemInformation.vue
+++ b/frontend/src/components/LinkInformations/RedeemInformation.vue
@@ -1,8 +1,12 @@
 <template>
   <div class="redeem-information">
     <b-jumbotron bg-variant="muted" text-variant="dark" border-variant="info">
-      <h1>
-        {{ firstName }}
+      <h1 v-if="isContributionLink">
+        {{ CONFIG.COMMUNITY_NAME }}
+        {{ $t('contribution-link.thanksYouWith') }} {{ amount | GDD }}
+      </h1>
+      <h1 v-else>
+        {{ user.firstName }}
         {{ $t('transaction-link.send_you') }} {{ amount | GDD }}
       </h1>
       <b>{{ memo }}</b>
@@ -10,12 +14,20 @@
   </div>
 </template>
 <script>
+import CONFIG from '@/config'
+
 export default {
   name: 'RedeemInformation',
   props: {
-    firstName: { type: String, required: true },
+    user: { type: Object, required: false },
     amount: { type: String, required: true },
     memo: { type: String, required: true, default: '' },
+    isContributionLink: { type: Boolean, default: false },
+  },
+  data() {
+    return {
+      CONFIG,
+    }
   },
 }
 </script>
diff --git a/frontend/src/components/LinkInformations/RedeemLoggedOut.vue b/frontend/src/components/LinkInformations/RedeemLoggedOut.vue
index a5cb97955..982bfdf08 100644
--- a/frontend/src/components/LinkInformations/RedeemLoggedOut.vue
+++ b/frontend/src/components/LinkInformations/RedeemLoggedOut.vue
@@ -1,6 +1,6 @@
 <template>
   <div class="redeem-logged-out">
-    <redeem-information :firstName="user.firstName" :amount="amount" :memo="memo" />
+    <redeem-information v-bind="linkData" :isContributionLink="isContributionLink" />
 
     <b-jumbotron>
       <div class="mb-6">
@@ -32,9 +32,8 @@ export default {
     RedeemInformation,
   },
   props: {
-    user: { type: Object, required: true },
-    amount: { type: String, required: true },
-    memo: { type: String, required: true, default: '' },
+    linkData: { type: Object, required: true },
+    isContributionLink: { type: Boolean, default: false },
   },
   computed: {
     login() {
diff --git a/frontend/src/components/LinkInformations/RedeemSelfCreator.vue b/frontend/src/components/LinkInformations/RedeemSelfCreator.vue
index 9f4764c0f..10311e52b 100644
--- a/frontend/src/components/LinkInformations/RedeemSelfCreator.vue
+++ b/frontend/src/components/LinkInformations/RedeemSelfCreator.vue
@@ -1,6 +1,6 @@
 <template>
   <div class="redeem-self-creator">
-    <redeem-information :firstName="user.firstName" :amount="amount" :memo="memo" />
+    <redeem-information v-bind="linkData" :isContributionLink="isContributionLink" />
 
     <b-jumbotron>
       <div class="mb-3 text-center">
@@ -23,9 +23,8 @@ export default {
     RedeemInformation,
   },
   props: {
-    user: { type: Object, required: true },
-    amount: { type: String, required: true },
-    memo: { type: String, required: true, default: '' },
+    linkData: { type: Object, required: true },
+    isContributionLink: { type: Boolean, default: false },
   },
 }
 </script>
diff --git a/frontend/src/components/LinkInformations/RedeemValid.vue b/frontend/src/components/LinkInformations/RedeemValid.vue
index 301afad69..353fefaf8 100644
--- a/frontend/src/components/LinkInformations/RedeemValid.vue
+++ b/frontend/src/components/LinkInformations/RedeemValid.vue
@@ -1,9 +1,9 @@
 <template>
   <div class="redeem-valid">
-    <redeem-information :firstName="user.firstName" :amount="amount" :memo="memo" />
+    <redeem-information v-bind="linkData" :isContributionLink="isContributionLink" />
     <b-jumbotron>
       <div class="mb-3 text-center">
-        <b-button variant="primary" @click="$emit('redeem-link', amount)" size="lg">
+        <b-button variant="primary" @click="$emit('redeem-link', linkData.amount)" size="lg">
           {{ $t('gdd_per_link.redeem') }}
         </b-button>
       </div>
@@ -19,9 +19,8 @@ export default {
     RedeemInformation,
   },
   props: {
-    user: { type: Object, required: false },
-    amount: { type: String, required: false },
-    memo: { type: String, required: false, default: '' },
+    linkData: { type: Object, required: true },
+    isContributionLink: { type: Boolean, default: false },
   },
 }
 </script>
diff --git a/frontend/src/components/Menu/Navbar.spec.js b/frontend/src/components/Menu/Navbar.spec.js
index ebf9abba0..3f12682c0 100644
--- a/frontend/src/components/Menu/Navbar.spec.js
+++ b/frontend/src/components/Menu/Navbar.spec.js
@@ -17,7 +17,7 @@ const mocks = {
   $t: jest.fn((t) => t),
   $store: {
     state: {
-      hasElopage: false,
+      hasElopage: true,
       isAdmin: true,
     },
   },
@@ -39,15 +39,17 @@ describe('Navbar', () => {
       expect(wrapper.find('div.component-navbar').exists()).toBeTruthy()
     })
 
-    describe('navigation Navbar', () => {
+    describe('navigation Navbar (general elements)', () => {
       it('has .navbar-brand in the navbar', () => {
         expect(wrapper.find('.navbar-brand').exists()).toBeTruthy()
       })
+
       it('has b-navbar-toggle in the navbar', () => {
         expect(wrapper.find('.navbar-toggler').exists()).toBeTruthy()
       })
+
       it('has ten b-nav-item in the navbar', () => {
-        expect(wrapper.findAll('.nav-item')).toHaveLength(10)
+        expect(wrapper.findAll('.nav-item')).toHaveLength(11)
       })
 
       it('has first nav-item "amount GDD" in navbar', () => {
@@ -57,31 +59,57 @@ describe('Navbar', () => {
       it('has first nav-item "navigation.overview" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(3).text()).toEqual('navigation.overview')
       })
+
       it('has first nav-item "navigation.send" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(4).text()).toEqual('navigation.send')
       })
+
       it('has first nav-item "navigation.transactions" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(5).text()).toEqual('navigation.transactions')
       })
-      it('has first nav-item "navigation.profile" in navbar', () => {
-        expect(wrapper.findAll('.nav-item').at(6).text()).toEqual('navigation.profile')
+
+      it('has first nav-item "navigation.transactions" in navbar', () => {
+        expect(wrapper.findAll('.nav-item').at(6).text()).toEqual('navigation.community')
       })
 
+      it('has first nav-item "navigation.profile" in navbar', () => {
+        expect(wrapper.findAll('.nav-item').at(7).text()).toEqual('navigation.profile')
+      })
+    })
+
+    describe('navigation Navbar (user has an elopage account)', () => {
       it('has a link to the members area', () => {
-        expect(wrapper.findAll('.nav-item').at(7).text()).toContain('navigation.members_area')
-        expect(wrapper.findAll('.nav-item').at(7).find('a').attributes('href')).toBe(
+        expect(wrapper.findAll('.nav-item').at(8).text()).toContain('navigation.members_area')
+        expect(wrapper.findAll('.nav-item').at(8).find('a').attributes('href')).toBe(
           'https://elopage.com',
         )
       })
 
+      it('has first nav-item "navigation.admin_area" in navbar', () => {
+        expect(wrapper.findAll('.nav-item').at(9).text()).toEqual('navigation.admin_area')
+      })
+
+      it('has first nav-item "navigation.logout" in navbar', () => {
+        expect(wrapper.findAll('.nav-item').at(10).text()).toEqual('navigation.logout')
+      })
+    })
+
+    describe('navigation Navbar (user has no elopage account)', () => {
+      beforeAll(() => {
+        mocks.$store.state.hasElopage = false
+        wrapper = Wrapper()
+      })
+
       it('has first nav-item "navigation.admin_area" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(8).text()).toEqual('navigation.admin_area')
       })
+
       it('has first nav-item "navigation.logout" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(9).text()).toEqual('navigation.logout')
       })
     })
   })
+
   describe('check watch visible true', () => {
     beforeEach(async () => {
       await wrapper.setProps({ visible: true })
diff --git a/frontend/src/components/Menu/Navbar.vue b/frontend/src/components/Menu/Navbar.vue
index 2f26f381e..ef222fdb4 100644
--- a/frontend/src/components/Menu/Navbar.vue
+++ b/frontend/src/components/Menu/Navbar.vue
@@ -52,17 +52,18 @@
           <b-icon icon="layout-text-sidebar-reverse" aria-hidden="true"></b-icon>
           {{ $t('navigation.transactions') }}
         </b-nav-item>
+        <b-nav-item to="/community" class="mb-3">
+          <b-icon icon="people" aria-hidden="true"></b-icon>
+          {{ $t('navigation.community') }}
+        </b-nav-item>
         <b-nav-item to="/profile" class="mb-3">
           <b-icon icon="gear" aria-hidden="true"></b-icon>
           {{ $t('navigation.profile') }}
         </b-nav-item>
         <br />
-        <b-nav-item :href="elopageUri" class="mb-3" target="_blank">
+        <b-nav-item v-if="$store.state.hasElopage" :href="elopageUri" class="mb-3" target="_blank">
           <b-icon icon="link45deg" aria-hidden="true"></b-icon>
           {{ $t('navigation.members_area') }}
-          <b-badge v-if="!$store.state.hasElopage" pill variant="danger">
-            {{ $t('math.exclaim') }}
-          </b-badge>
         </b-nav-item>
         <b-nav-item class="mb-3" v-if="$store.state.isAdmin" @click="$emit('admin')">
           <b-icon icon="shield-check" aria-hidden="true"></b-icon>
diff --git a/frontend/src/components/Menu/Sidebar.spec.js b/frontend/src/components/Menu/Sidebar.spec.js
index 0a7856c67..bd107d40b 100644
--- a/frontend/src/components/Menu/Sidebar.spec.js
+++ b/frontend/src/components/Menu/Sidebar.spec.js
@@ -27,6 +27,7 @@ describe('Sidebar', () => {
     beforeEach(() => {
       wrapper = Wrapper()
     })
+
     it('renders the component', () => {
       expect(wrapper.find('div#component-sidebar').exists()).toBeTruthy()
     })
@@ -47,19 +48,53 @@ describe('Sidebar', () => {
       it('has first nav-item "navigation.transactions" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(2).text()).toEqual('navigation.transactions')
       })
+
+      it('has first nav-item "navigation.community" in navbar', () => {
+        expect(wrapper.findAll('.nav-item').at(3).text()).toContain('navigation.community')
+      })
+
       it('has first nav-item "navigation.profile" in navbar', () => {
-        expect(wrapper.findAll('.nav-item').at(3).text()).toEqual('navigation.profile')
+        expect(wrapper.findAll('.nav-item').at(4).text()).toEqual('navigation.profile')
       })
+    })
+
+    describe('navigation Navbar (user has an elopage account)', () => {
+      it('has eight b-nav-item in the navbar', () => {
+        expect(wrapper.findAll('.nav-item')).toHaveLength(8)
+      })
+
       it('has a link to the members area', () => {
-        expect(wrapper.findAll('.nav-item').at(4).text()).toContain('navigation.members_area')
-        expect(wrapper.findAll('.nav-item').at(4).find('a').attributes('href')).toBe('#')
+        expect(wrapper.findAll('.nav-item').at(5).text()).toEqual('navigation.members_area')
+        expect(wrapper.findAll('.nav-item').at(5).find('a').attributes('href')).toBe('#')
       })
+
+      it('has first nav-item "navigation.admin_area" in navbar', () => {
+        expect(wrapper.findAll('.nav-item').at(6).text()).toEqual('navigation.admin_area')
+      })
+
+      it('has first nav-item "navigation.logout" in navbar', () => {
+        expect(wrapper.findAll('.nav-item').at(7).text()).toEqual('navigation.logout')
+      })
+    })
+
+    describe('navigation Navbar (user has no elopage account)', () => {
+      beforeAll(() => {
+        mocks.$store.state.hasElopage = false
+        wrapper = Wrapper()
+      })
+
+      it('has seven b-nav-item in the navbar', () => {
+        expect(wrapper.findAll('.nav-item')).toHaveLength(7)
+      })
+
       it('has first nav-item "navigation.admin_area" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(5).text()).toEqual('navigation.admin_area')
       })
+
       it('has first nav-item "community.community" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(6).text()).toEqual('community.community')
       })
+      
       it('has first nav-item "navigation.logout" in navbar', () => {
         expect(wrapper.findAll('.nav-item').at(7).text()).toEqual('navigation.logout')
       })
diff --git a/frontend/src/components/Menu/Sidebar.vue b/frontend/src/components/Menu/Sidebar.vue
index 8062e5ef5..e6bb4c6d9 100644
--- a/frontend/src/components/Menu/Sidebar.vue
+++ b/frontend/src/components/Menu/Sidebar.vue
@@ -16,6 +16,10 @@
             <b-icon icon="layout-text-sidebar-reverse" aria-hidden="true"></b-icon>
             {{ $t('navigation.transactions') }}
           </b-nav-item>
+          <b-nav-item to="/community" class="mb-3">
+            <b-icon icon="people" aria-hidden="true"></b-icon>
+            {{ $t('navigation.community') }}
+          </b-nav-item>
           <b-nav-item to="/profile" class="mb-3">
             <b-icon icon="gear" aria-hidden="true"></b-icon>
             {{ $t('navigation.profile') }}
@@ -23,12 +27,14 @@
         </b-nav>
         <hr />
         <b-nav vertical class="w-100">
-          <b-nav-item class="mb-3" :href="elopageUri" target="_blank">
+          <b-nav-item
+            v-if="$store.state.hasElopage"
+            class="mb-3"
+            :href="elopageUri"
+            target="_blank"
+          >
             <b-icon icon="link45deg" aria-hidden="true"></b-icon>
             {{ $t('navigation.members_area') }}
-            <b-badge v-if="!$store.state.hasElopage" pill variant="danger">
-              {{ $t('math.exclaim') }}
-            </b-badge>
           </b-nav-item>
           <b-nav-item class="mb-3" v-if="$store.state.isAdmin" @click="$emit('admin')">
             <b-icon icon="shield-check" aria-hidden="true"></b-icon>
diff --git a/frontend/src/components/SessionLogoutTimeout.spec.js b/frontend/src/components/SessionLogoutTimeout.spec.js
new file mode 100644
index 000000000..bd6911d13
--- /dev/null
+++ b/frontend/src/components/SessionLogoutTimeout.spec.js
@@ -0,0 +1,103 @@
+import { mount } from '@vue/test-utils'
+import SessionLogoutTimeout from './SessionLogoutTimeout'
+
+const localVue = global.localVue
+
+const apolloQueryMock = jest.fn()
+
+const setTokenTime = (seconds) => {
+  const now = new Date()
+  return Math.floor(new Date(now.setSeconds(now.getSeconds() + seconds)).getTime() / 1000)
+}
+
+const mocks = {
+  $store: {
+    state: {
+      token: '1234',
+      tokenTime: setTokenTime(120),
+    },
+  },
+  $i18n: {
+    locale: 'en',
+  },
+  $t: jest.fn((t) => t),
+  $apollo: {
+    query: apolloQueryMock,
+  },
+  $route: {
+    meta: {
+      requiresAuth: true,
+    },
+  },
+}
+
+describe('SessionLogoutTimeout', () => {
+  let wrapper, spy
+
+  const Wrapper = () => {
+    return mount(SessionLogoutTimeout, { localVue, mocks })
+  }
+
+  describe('mount', () => {
+    beforeEach(() => {
+      jest.clearAllMocks()
+      wrapper = Wrapper()
+    })
+
+    it('renders the component div.session-logout-timeout', () => {
+      expect(wrapper.find('div.session-logout-timeout').exists()).toBe(true)
+    })
+
+    describe('timers', () => {
+      it('has a token expires timer', () => {
+        expect(wrapper.vm.$options.timers).toEqual({
+          tokenExpires: expect.objectContaining({
+            name: 'tokenExpires',
+            time: 15000,
+            repeat: true,
+            immediate: true,
+            autostart: true,
+            isSwitchTab: false,
+          }),
+        })
+      })
+
+      describe('token is expired for several seconds', () => {
+        beforeEach(() => {
+          mocks.$store.state.tokenTime = setTokenTime(-60)
+          wrapper = Wrapper()
+        })
+
+        it('has value for remaining seconds equal 0', () => {
+          expect(wrapper.tokenExpiresInSeconds === 0)
+        })
+
+        it('emits logout', () => {
+          expect(wrapper.emitted('logout')).toBeTruthy()
+        })
+      })
+
+      describe('token time less than 75 seconds', () => {
+        beforeEach(() => {
+          mocks.$store.state.tokenTime = setTokenTime(60)
+          jest.useFakeTimers()
+          wrapper = Wrapper()
+          spy = jest.spyOn(wrapper.vm.$bvModal, 'msgBoxConfirm')
+          spy.mockImplementation(() => Promise.resolve(true))
+        })
+
+        it('sets the timer to 1000', () => {
+          expect(wrapper.vm.timers.tokenExpires.time).toBe(1000)
+        })
+
+        it.skip('opens the modal', () => {
+          jest.advanceTimersByTime(1000)
+          jest.advanceTimersByTime(1000)
+          jest.advanceTimersByTime(1000)
+          jest.advanceTimersByTime(1000)
+          expect(spy).toBeCalled()
+        })
+      })
+    })
+  })
+})
diff --git a/frontend/src/components/SessionLogoutTimeout.vue b/frontend/src/components/SessionLogoutTimeout.vue
new file mode 100644
index 000000000..1ebff752a
--- /dev/null
+++ b/frontend/src/components/SessionLogoutTimeout.vue
@@ -0,0 +1,103 @@
+<template>
+  <div class="session-logout-timeout">
+    <b-modal
+      id="modalSessionTimeOut"
+      class="bg-variant-danger"
+      hide-header-close
+      hide-header
+      hide-footer
+      no-close-on-backdrop
+    >
+      <b-card header-tag="header" footer-tag="footer">
+        <b-card-text>
+          <div class="p-3 h2">{{ $t('session.warningText') }}</div>
+          <div class="p-3">
+            {{ $t('session.lightText') }}
+          </div>
+          <div class="p-3 h2 text-warning">
+            {{ $t('session.logoutIn') }}
+            <b>{{ tokenExpiresInSeconds }}</b>
+            {{ $t('time.seconds') }}
+          </div>
+        </b-card-text>
+        <b-row>
+          <b-col class="text-center">
+            <b-button size="lg" variant="success" @click="handleOk">
+              {{ $t('session.extend') }}
+            </b-button>
+          </b-col>
+        </b-row>
+      </b-card>
+      <template #modal-footer>
+        <b-button size="sm" variant="danger" @click="$emit('logout')">
+          {{ $t('navigation.logout') }}
+        </b-button>
+        <b-button size="lg" variant="success" @click="handleOk">
+          {{ $t('session.extend') }}
+        </b-button>
+      </template>
+    </b-modal>
+  </div>
+</template>
+<script>
+import { verifyLogin } from '@/graphql/queries'
+
+export default {
+  name: 'SessionLogoutTimeout',
+  data() {
+    return {
+      now: new Date().getTime(),
+    }
+  },
+  timers: {
+    tokenExpires: {
+      time: 15000,
+      autostart: true,
+      repeat: true,
+      immediate: true,
+    },
+  },
+  methods: {
+    tokenExpires() {
+      this.now = new Date().getTime()
+      if (this.tokenExpiresInSeconds < 75 && this.timers.tokenExpires.time !== 1000) {
+        this.timers.tokenExpires.time = 1000
+        this.$timer.restart('tokenExpires')
+        this.$bvModal.show('modalSessionTimeOut')
+      }
+      if (this.tokenExpiresInSeconds === 0) {
+        this.$timer.stop('tokenExpires')
+        this.$emit('logout')
+      }
+    },
+    handleOk(bvModalEvent) {
+      bvModalEvent.preventDefault()
+      this.$apollo
+        .query({
+          query: verifyLogin,
+          fetchPolicy: 'network-only',
+        })
+        .then((result) => {
+          this.timers.tokenExpires.time = 15000
+          this.$timer.restart('tokenExpires')
+          this.$bvModal.hide('modalSessionTimeOut')
+        })
+        .catch(() => {
+          this.$timer.stop('tokenExpires')
+          this.$emit('logout')
+        })
+    },
+  },
+  computed: {
+    tokenExpiresInSeconds() {
+      const remainingSecs = Math.floor(
+        (new Date(this.$store.state.tokenTime * 1000).getTime() - this.now) / 1000,
+      )
+      return remainingSecs <= 0 ? 0 : remainingSecs
+    },
+  },
+  beforeDestroy() {
+    this.$timer.stop('tokenExpires')
+  },
+}
+</script>
diff --git a/frontend/src/components/TransactionLinks/TransactionLink.spec.js b/frontend/src/components/TransactionLinks/TransactionLink.spec.js
index ad9e4860e..d06f0f726 100644
--- a/frontend/src/components/TransactionLinks/TransactionLink.spec.js
+++ b/frontend/src/components/TransactionLinks/TransactionLink.spec.js
@@ -9,15 +9,16 @@ const mockAPIcall = jest.fn()
 const navigatorClipboardMock = jest.fn()
 
 const mocks = {
-  $i18n: {
-    locale: 'en',
-  },
   $t: jest.fn((t) => t),
   $d: jest.fn((d) => d),
-  $tc: jest.fn((tc) => tc),
   $apollo: {
     mutate: mockAPIcall,
   },
+  $store: {
+    state: {
+      firstName: 'Testy',
+    },
+  },
 }
 
 const propsData = {
@@ -77,7 +78,7 @@ describe('TransactionLink', () => {
           navigator.clipboard = navigatorClipboard
         })
 
-        describe('copy with success', () => {
+        describe('copy link with success', () => {
           beforeEach(async () => {
             navigatorClipboardMock.mockResolvedValue()
             await wrapper.find('.test-copy-link .dropdown-item').trigger('click')
@@ -92,6 +93,47 @@ describe('TransactionLink', () => {
             expect(toastSuccessSpy).toBeCalledWith('gdd_per_link.link-copied')
           })
         })
+
+        describe('copy link and text with success', () => {
+          beforeEach(async () => {
+            navigatorClipboardMock.mockResolvedValue()
+            await wrapper.find('.test-copy-text .dropdown-item').trigger('click')
+          })
+
+          it('should call clipboard.writeText', () => {
+            expect(navigator.clipboard.writeText).toHaveBeenCalledWith(
+              'http://localhost/redeem/c00000000c000000c0000\n' +
+                'Testy transaction-link.send_you 75 Gradido.\n' +
+                '"Katzenauge, Eulenschrei, was verschwunden komm herbei!"\n' +
+                'gdd_per_link.credit-your-gradido gdd_per_link.validUntilDate',
+            )
+          })
+          it('toasts success message', () => {
+            expect(toastSuccessSpy).toBeCalledWith('gdd_per_link.link-and-text-copied')
+          })
+        })
+
+        describe('copy link with error', () => {
+          beforeEach(async () => {
+            navigatorClipboardMock.mockRejectedValue()
+            await wrapper.find('.test-copy-link .dropdown-item').trigger('click')
+          })
+
+          it('toasts an error', () => {
+            expect(toastErrorSpy).toBeCalledWith('gdd_per_link.not-copied')
+          })
+        })
+
+        describe('copy link and text with error', () => {
+          beforeEach(async () => {
+            navigatorClipboardMock.mockRejectedValue()
+            await wrapper.find('.test-copy-text .dropdown-item').trigger('click')
+          })
+
+          it('toasts an error', () => {
+            expect(toastErrorSpy).toBeCalledWith('gdd_per_link.not-copied')
+          })
+        })
       })
 
       describe('qr code modal', () => {
